Skip to content

Move a document to a different position within a binder.

PUT/api/{version}/objects/binders/{binder_id}/documents/{section_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
{section_id}The binder node id field value.
Field NameDescription
order__v[Optional] Enter a number reflecting the new position of the document within the binder or section. Negative order values appear first. For example, an order value of -100 appears before an order value of 0.
parent_id__v[Optional] To move the document to a different section or from a section to the binder's root node, enter the value of the new parent node.
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "parent_id__v=1457560333810:-909497856" \ -d "order__v=2" \ https://myvault.veevavault.com/api/v21.3/objects/binders/566/documents/1457559259279:-602158059
{ "responseStatus": "SUCCESS", "id": "1457559259279:-602158059" }

On SUCCESS, Vault returns the new node ID of the document.